Subject: RE: [SIP] centralized vs. decentralized architectures

From: [email-masked]
Date: Wed, 4 Oct 2000 09:19:01 -0500

> -----Original Message-----
> From: EXT [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, October 04, 2000 3:16 AM
> To: [email-masked]
> Subject: [SIP] centralized vs. decentralized architectures
> 
> 
> 
> I have recently posed some questions about centralized vs. 
> decentralized
> architectures and SIP.
> 
> One issue is that there is no escape from requiring the user 
> to register an
> ID or to generate one. The need for user identity, as opposed to true
> anonymity,  is one type of decentralization.

Why doesn't a B2BUA provide true anonymity? By the way, I'm curious about
why anonymity is so important: are there legitimate reasons for people to
make calls anonymously?

> 
> Another issue is that SIP-based systems often use distributed 
> logic for
> storing session state. On the other hand, the  "center" (the 
> server) can
> store session state using the back-to-back user-agent  design. In that
> case, the server serves as a proxy in a sense (not the usual 
> "SIP Proxy
> Server sense" ) for the clients, communicating with them by another
> protocol.

A B2BUA speaks SIP on both sides. A SIP gateway speaks SIP on one side and
some other protocol on the other.

[ snipped ]

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: "Thys Nel" <[email-masked]>
Date: Wed, 4 Oct 2000 16:51:37 +0200

Some time ago there was a discussion in this list about the correct bnf for
ipv4 addresses in rfc2327 (sdp).

Currently in sip an ipv4 address is defined as:
IPv4address = 1*3DIGIT "." 1*3DIGIT "." 1*3DIGIT "." 1*3DIGIT

which of course allows invalid ipv4 addresses to pass the parser.

Is there any specific reason why this definition is different to the one
used in rfc2327?

IP4-address =  decimal-uchar "." decimal-uchar "." decimal-uchar "."
decimal-uchar
where decimal-uchar can be 0-255.

The same applies to the "ttl" definition.

--
Thys Nel

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 20 Oct 2000 21:08:08 -0700

Because this is inherited from HTTP (which inherits it from rfc2396).
Since everything else in RFC 2543 comes from there, it would be truly
confusing to have divergent definitions.

As has been pointed out a few times in different contexts, ABNF is not
sufficient to specify semantics. There are lots of syntactically valid
IPv4address strings that won't work for one reason or another, such as
0.0.0.0, 0.1.2.3, or 254.255.255.255. 

An interesting issue is that this and the HTTP/URL syntax allows 

010.001.001.002

I wonder how many implementations handle this correctly and don't
interpret this as octal, say (which is what some strtol-style functions
will do).

For ttl, this could be changed, but the definition in rfc2327 is rather
unwieldy.